ImTOO Download YouTube Video Help

ImTOO Download YouTube Video is the most powerful product to get videos from YouTube.com and play videos with the FLV player within the software. With its powerful and fast downloading function, you can easily download any video clips from YouTube.com and save them in your computer.

It supports multithreading and batch downloads and provides several user familiar methods on downloading, especially drag-drop. It has advanced task management functions. And its independent video player will amuse you by playing the files off-line directly.

Key Functions

  • Download FLV video files on YouTube.com to hard disk;
  • Play the files with FLV player within the software.

Key Features
  • Support multithreading;
  • Support multiple task：Download several files at one time;
  • Provide several methods to download YouTube video: directly drag a video URL to the DropZone, drag a video URL to main window of the software or copy a video URL to “New Task” window.
  • Support task management;
  • Specify destination for the output files;
  • Rename output file;
  • Support multi-language: Chinese (Simplified), English, Japanese, German.

System Requirement:
  • Recommended System Configuration
    OS Supported: Windows 98/ME/NT4/2000/2003/XP and Windows Vista
    Processor: Intel Pentium II 350MHz or above, or any Athlon
    Cache Space: 256 MB RAM or above
    Free Hard Disk Space: 100 MB or above
  • Limitation of System Configuration
    OS Supported: Windows 98
    Processor: Intel Pentium II 350MHz
    Cache Space: 128 MB RAM
    Free Hard Disk Space: 100 MB

For full information about ImTOO Download YouTube Video, please visit:
http://www.imtoo.com/download-youtube-video.html
http://www.imtoo.com/support.html

Related Topics
Supported formats
Getting Started
Settings Window
Technical Support


Supported formats

Supported input URL
  • Valid URL of videos on YouTube website

Supported output formats
  • FLV - Flash Video Format (*.flv)

Related Topics
ImTOO Download YouTube Video Help
Getting Started
Settings Window
Technical Support


Getting Started

  • Step 1: Drag-drop video file
    Drag a video URL on YouTube.com to ImTOO Download YouTube Video or drag a video URL to the drop zone.
    Alternatively you can directly enter a YouTube Video URL to “URL” box in the “New task” window. The URL looks like: http://www.youtube.com/watch?v=tjTny9CXjQU&feature=dir (You can "copy-paste" the link directly from the browser address bar to this box.)

    Tip: According to your web browser, select the proper way to add the new task.
    The following web browsers support Drag&Drop and RightClick download.
    1. IE in Windows 98/ME/NT4/2000/2003/XP;
    2. Browsers based on the IE engine in Windows 98/ME/NT4/2000/2003/XP, such as Maxthon,etc..
    The following web browsers do not support Drag & Drop and Right Click download.
    1. IE in Windows Vista;
    2. Browsers not based on the IE engine in Windows 98/ME/NT4/2000/2003/XP, such as Firefox, Opera, Orca,etc..

    Tip: Click “New” button in the tool bar to open the “New task” window.

  • Step 2: Select output destination
    Click “Browse” button on the right of the “Save to” box, select the destination where you would like to save your output(downloaded) video file in the “Browse for Folder” that appears, and then click “OK”.

  • Step 3: Rename output file
    The software supports to rename the output file. To do this, uncheck the “Use default file name” option and enter a new name for the output file into “Rename” box.
    Tip: The “Use default file name” option is checked as the default.

    Tip: After the upper settings, click “Save as default” button to save these settings as the default in the next adding as you need.

  • Step 4: download video
    Click “ok” button to close the window, and then the program will start a new downloads task automatically.

    Tip: You can manage the tasks that have been added in the task list, such as “start”, “stop”, or “delete” the selected task.

  • Step 5: Playback the output file
    After the downloads, you can playback the output file in the independent “ImTOO FLV player”.
    To do this:
    Step 1: select the task you want to view in the task list, and click “Play video” button in tool bar.
    Step 2: Click “Play” button to playback the selected output video in “ImTOO FLV player” window that appears.

    Tip: After the download, you can also view the detail of the output file. To so this:
    Select a task in the task list, click “File Info” button in the tool bar, and then get information of the output file in “File information” window that popped-up.

Related Topics
ImTOO Download YouTube Video Help
Supported formats
Settings Window
Technical Support


Settings Window

Choose “Tools > Settings” to open “Settings” window.

  • Show DropZone
    Check the option, the program will show the drop zone.
  • Minimize window when started
    Check the option, the program window will be minimized when it started.
  • Auto delete finished task
    Check the option, the program will delete tasks as soon as they are finished.
  • Max simultaneous downloads
    set a number of tasks that the program could process at one time.
    Tip: A proper value is an integer between 1 and 10. The recommended value is 3, and you could set it larger or smaller according to the configuration of your computer.

Related Topics
ImTOO Download YouTube Video Help
Supported formats
Getting Started
Technical Support


Technical Support

FAQ
  • Q: How to show the drop zone?
    A: Like many other download software, ImTOO Download YouTube Video supports a drop zone to help you drop a URL or file to it.
    To do this, click “Tools > Settings”, check the “Show Drop Zone” option, and then click “Save”.

  • Q: How to set the number of the task that could be running at one time?
    A: The program supports to download and convert several files at one time, and you can set the number of the tasks that could be running at one time.
    To do this, click “Tools > Settings”, and then set the value in the “Max simultaneous downloads” drop list.

Contact Us
    Any time that you need help while using ImTOO products, press “F1” to open the help documentation.
    If you cannot find the answer to your question, please contact our support team at support@imtoo.com. Our customer service staff will give you a response within one (1) working day.
    Besides, we would appreciate it if you could attach your conversion log along with your email. It would help us for a quick trouble-shooting.

Related Topics
ImTOO Download YouTube Video Help
Supported formats
Getting Started
Settings Window